FAQ
I was told that there is a new and improved ODBC Driver for Microstrategy
version 2.0. On the site, I only see 1.2. We are trying to Integrate
Microstrategy 9.3.1 with Impala 1.0 using port 21050. It connects but hangs
not allowing us to do any queries. Is there an API mismatch? By the way, we
were only able to connect to Hive-Server using this Microstrategy and not
Hive-Server2 using current drivers also.

Thanks,
Ben

Search Discussions

  • Miklos Christine at May 10, 2013 at 8:33 pm
    Hello Benjamin,

    Which site are you referring to? Have you had a chance to take a look at
    the Impala docs here?
    http://www.cloudera.com/content/cloudera-content/cloudera-docs/Impala/latest/Installing-and-Using-Impala/ciiu_impala_odbc.html

    Thanks,
    Miklos

    On Fri, May 10, 2013 at 12:15 PM, Benjamin Kim wrote:

    I was told that there is a new and improved ODBC Driver for Microstrategy
    version 2.0. On the site, I only see 1.2. We are trying to Integrate
    Microstrategy 9.3.1 with Impala 1.0 using port 21050. It connects but hangs
    not allowing us to do any queries. Is there an API mismatch? By the way, we
    were only able to connect to Hive-Server using this Microstrategy and not
    Hive-Server2 using current drivers also.

    Thanks,
    Ben
  • Benjamin Kim at May 10, 2013 at 8:43 pm
    Hi Miklos,

    Yes, that's the site. Our guy who is trying to follow the instructions
    keeps on saying that his contact at Microstrategy tells him the reason it
    doesn't work is he needs version 2.0. Is this correct? And that Impala 1.0
    only works with Microstrategy 9.3.1?

    Thanks,
    Ben
    On Friday, May 10, 2013 1:32:41 PM UTC-7, Miklos Christine wrote:

    Hello Benjamin,

    Which site are you referring to? Have you had a chance to take a look at
    the Impala docs here?

    http://www.cloudera.com/content/cloudera-content/cloudera-docs/Impala/latest/Installing-and-Using-Impala/ciiu_impala_odbc.html

    Thanks,
    Miklos


    On Fri, May 10, 2013 at 12:15 PM, Benjamin Kim <bbui...@gmail.com<javascript:>
    wrote:
    I was told that there is a new and improved ODBC Driver for Microstrategy
    version 2.0. On the site, I only see 1.2. We are trying to Integrate
    Microstrategy 9.3.1 with Impala 1.0 using port 21050. It connects but hangs
    not allowing us to do any queries. Is there an API mismatch? By the way, we
    were only able to connect to Hive-Server using this Microstrategy and not
    Hive-Server2 using current drivers also.

    Thanks,
    Ben
  • Justin Erickson at May 11, 2013 at 1:02 am
    Hi Benjamin,

    The ODBC 2.0 driver is in the final stages of certification and will be out
    shortly. The ODBC 2.0 driver will connect to the HiveServer2 port (by
    default 21050).

    In the meantime, the currently ODBC 1.2 driver uses the original Hive
    interface (by default 21000). Full instructions are available:
    http://www.cloudera.com/content/cloudera-content/cloudera-docs/Impala/latest/Installing-and-Using-Impala/ciiu_impala_odbc.html

    Thanks,
    Justin

    On Fri, May 10, 2013 at 1:43 PM, Benjamin Kim wrote:

    Hi Miklos,

    Yes, that's the site. Our guy who is trying to follow the instructions
    keeps on saying that his contact at Microstrategy tells him the reason it
    doesn't work is he needs version 2.0. Is this correct? And that Impala 1.0
    only works with Microstrategy 9.3.1?

    Thanks,
    Ben
    On Friday, May 10, 2013 1:32:41 PM UTC-7, Miklos Christine wrote:

    Hello Benjamin,

    Which site are you referring to? Have you had a chance to take a look at
    the Impala docs here?
    http://www.cloudera.com/**content/cloudera-content/**
    cloudera-docs/Impala/latest/**Installing-and-Using-Impala/**
    ciiu_impala_odbc.html<http://www.cloudera.com/content/cloudera-content/cloudera-docs/Impala/latest/Installing-and-Using-Impala/ciiu_impala_odbc.html>

    Thanks,
    Miklos

    On Fri, May 10, 2013 at 12:15 PM, Benjamin Kim wrote:

    I was told that there is a new and improved ODBC Driver for
    Microstrategy version 2.0. On the site, I only see 1.2. We are trying to
    Integrate Microstrategy 9.3.1 with Impala 1.0 using port 21050. It connects
    but hangs not allowing us to do any queries. Is there an API mismatch? By
    the way, we were only able to connect to Hive-Server using this
    Microstrategy and not Hive-Server2 using current drivers also.

    Thanks,
    Ben

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupimpala-user @
categorieshadoop
postedMay 10, '13 at 7:15p
activeMay 11, '13 at 1:02a
posts4
users3
websitecloudera.com
irc#hadoop

People

Translate

site design / logo © 2022 Grokbase